Subject: Re: linux-next: build failure after merge of the final tree (pwm tree related)

From: Arnd Bergmann <[email-masked]>
Date: Tue, 3 Jul 2012 08:06:49 +0000

On Tuesday 03 July 2012, Thierry Reding wrote:
> On Tue, Jul 03, 2012 at 04:18:46PM +1000, Stephen Rothwell wrote:
> > Hi Thierry,
> > 
> > On Tue, 3 Jul 2012 08:11:15 +0200 Thierry Reding <[email-masked]> wrote:
> > >
> > > I don't see how that can happen. If you have CONFIG_TWL6030_PWM=y, then
> > > you should also have CONFIG_HAVE_PWM=y, which would in turn conflict
> > > with CONFIG_PWM=y.
> > > 
> > > I'll have to fetch a powerpc toolchain and try to reproduce this.
> > 
> > CONFIG_HAVE_PWM only exists on arm, mips and unicore32 ... so the "select
> > HAVE_PWM" will not do anything on any other architecture.
> 
> So one option would be to add HAVE_PWM on powerpc, or alternatively to
> explicitly add a conflict to the TWL6030_PWM symbol (and any others that
> implement the legacy API). I'd think the second alternative is
> preferable and actually matches what Arnd proposed previously. Maybe
> this was exactly the reason he suggested that solution in the first
> place.

It's not what I was thinking of explicitly, but it's a good
reason nonetheless ;-)

	Arnd